#ifndef __WRITELOG_H__
#define __WRITELOG_H__

#include <stdio.h>
#include "StringBasics.h"


void WriteLog(String & pedfile,String & datfile)
{
   FILE * log;
   String filename;
   if(PreMeta::outputFile == "")
      filename = "singlevar.log";
   else
      filename = PreMeta::outputFile + ".singlevar.log";

   log = fopen(filename,"wt");

   fprintf(log,"Rare-Metal-Worker is handling all individuals as %s.\n\n",FastFit::unrelated?"unrelated":"related");
   fprintf(log,"The following parameters are in effect:\n\n");
   fprintf(log,"Input Files:\n");
   fprintf(log,"============================\n");
   fprintf(log,"--ped [%s]\n",pedfile.c_str());
   fprintf(log,"--dat [%s]\n",datfile.c_str());
   fprintf(log,"--vcf [%s]\n\n",PreMeta::vcfInput.c_str());
   fprintf(log,"Output Files:\n");
   fprintf(log,"============================\n");
   fprintf(log,"--prefix [%s]\n",PreMeta::outputFile.c_str());
   fprintf(log,"--LDwindow [%d]\n\n",PreMeta::window);
   fprintf(log,"VC Options:\n");
   fprintf(log,"============================\n");
   fprintf(log,"--vcShared [%s]\n",AutoFit::fitSharedEnvironment ? "true":"false");
   fprintf(log,"--vcX [%s]\n",AutoFit::fitX?"true":"false");
   fprintf(log,"--useCovariates [%s]\n\n",FastFit::useCovariates?"true":"false");
   fprintf(log,"Trait Options:\n");
   fprintf(log,"============================\n");
   fprintf(log,"--makeResiduals [%s]\n",FastFit::regressOutCov?"true":"false");
   fprintf(log,"--inverseNormal [%s]\n",FastFit::inverseNormal?"true":"false");
   fprintf(log,"--traitName [%s]\n\n",FastFit::traitName.c_str());
   fprintf(log,"Kinship Source:\n");
   fprintf(log,"============================\n");
   fprintf(log,"--kinPedigree [%s]\n",FastTransform::pedKin?"true":"false");
   fprintf(log,"--kinGeno [%s]\n",FastTransform::empKin?"true":"false");
   fprintf(log,"--kinFile [%s]\n",FastTransform::readInEmp.c_str());
   fprintf(log,"--kinSave [%s]\n\n",OutputKin::outputKin?"true":"false");
   fprintf(log,"Kinship Options:\n");
   fprintf(log,"============================\n");
   fprintf(log,"--kinMaf [%g]\n",KinshipEmp::q);
   fprintf(log,"--kinMiss [%g]\n\n",KinshipEmp::miss);
   fprintf(log,"Chromosome X:\n");
   fprintf(log,"============================\n");
   fprintf(log,"xLabel [%s]\n",PreMeta::xLabel.c_str());
   fprintf(log,"xStart [%d]\n",PreMeta::Xstart);
   fprintf(log,"xEnd [%d]\n\n",PreMeta::Xend);

   fclose(log);
}

#endif
